//! # API structures
//!
//! ## Presentation
//! This module contains all the serializable structures that can be sent through the API to the
//! Clients
//!
//! ## Author
//! Pierre Hubert

pub mod http_error;
pub mod login_success;
pub mod current_user_id;
pub mod user_info;
pub mod custom_emoji;
pub mod res_find_user_by_virtual_directory;
pub mod res_find_virtual_directory;
pub mod res_create_conversation;
pub mod conversation_api;
mod legacy_api_bool;
pub mod res_find_private_conversations;
pub mod conversation_message_api;
pub mod conversations_refresh_api;
pub mod res_count_unread_conversations;
pub mod list_unread_conversations_api;
pub mod global_search_result_api;
pub mod res_create_group;
pub mod group_api;
pub mod advanced_group_api;
pub mod res_change_group_logo;
pub mod group_member_api;
pub mod friend_api;
pub mod friendship_status_api;
pub mod post_api;
pub mod movie_api;
pub mod survey_choice_api;
pub mod survey_api;
pub mod comment_api;
pub mod res_create_post;
pub mod posts_targets_api;
pub mod res_create_comment;
pub mod res_number_unread_notifications;
pub mod res_count_all_unreads;
pub mod notification_api;
pub mod user_membership_api;
mod type_container_api;
pub mod res_check_email_exists;
pub mod res_check_security_questions_exists;
pub mod res_get_security_questions;
pub mod res_check_security_answers;
pub mod account_export_api;
pub mod user_like_api;
pub mod survey_response_api;
pub mod entities_constructor;
pub mod general_settings_api;
pub mod language_settings_api;
pub mod security_settings_api;
pub mod account_image_settings_api;